﻿@model BeerOverflow.Web.Models.BreweryViewModel

@{
    ViewData["Title"] = "CreateBrewery";
}
   

<h1 style="color:#b58900">Create a new brewery</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateBrewery">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="dropdown">
                <label class="control-label">Select Country Name</label>
            @Html.DropDownListFor(model=>model.CountryName, new SelectList(ViewBag.Countries,"Name","Name"),"")
            </div>
            <div class="btn">
                <h6 style="color:white" >Do not see the country you need?<a style="color:white" asp-controller="Country" asp-action="CreateCountry"><br>Click to create</a></h6>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a style="color:#b58900" asp-controller="Brewery"  asp-action="ListBreweries">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}